Commit ad15ef95 authored by Fischer, Tim's avatar Fischer, Tim

Added new heading for known errors

parent d03b595f
......@@ -198,6 +198,12 @@ cd ~/git/dda-wizard/
mvn
```
Bower is used to manage CSS and JavaScript dependencies. You can upgrade dependencies by specifying a newer version in file `bower.json`. You can also run `bower update` and `bower install` to manage dependencies.
Add the `-h` flag on any command to see how you can use it. For example, `bower update -h`.
For the development of the front-end, the command `grunt serve` can be executed to start a browser-sync session.
## Known errors while building
Trying to build DDA can produce some errors due to old dependencies.
Currently known are problems with customizr and phantomjs.
......@@ -207,9 +213,9 @@ npm cache clear --force && npm install --no-shrinkwrap --update-binary
```
Another error you might get is "Failed at the phantomjs@1.9.18 install script."
The detailed error that caused this is:
```
The detailed error that caused this is:
Downloading https://bitbucket.org/ariya/phantomjs/downloads/phantomjs-1.9.8-windows.zip
Saving to C:\cygwin64\tmp\phantomjs\phantomjs-1.9.8-windows.zip
Receiving...
......@@ -218,7 +224,7 @@ Error requesting archive.
Status: 404
```
The download of phantomjs through cygwin failed multiple times. If you encounter this error, download the zip-file yourself (your url might vary, depending on your OS and used method of installation), and copy it to the path specified next to "Saving to".
The download of phantomjs through cygwin on Windows 10 failed multiple times. If you encounter this error, download the zip-file yourself (your url might vary, depending on your OS and used method of building), and copy it to the path specified next to "Saving to".
Re-run the npm-command, and the zip-file should be used, and extracted to the correct folder.
......@@ -230,11 +236,6 @@ Writing location.js file
Done. Phantomjs binary available at C:\Users\fischetm\git\dda-wizard\node_modules\phantomjs\lib\phantom\phantomjs.exe
```
Bower is used to manage CSS and JavaScript dependencies. You can upgrade dependencies by specifying a newer version in file `bower.json`. You can also run `bower update` and `bower install` to manage dependencies.
Add the `-h` flag on any command to see how you can use it. For example, `bower update -h`.
For the development of the front-end, the command `grunt serve` can be executed to start a browser-sync session.
## Staging
### Initial setup
The staging environment shall be as close as possible to the production environment. Therefore, run the same commands as listed in the [Database setup][#database-setup] chapter.
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment